package com.zcloud.basic.info.domain.gateway;

import com.zcloud.basic.info.domain.model.CorpInfoE;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2025-10-29 16:02:16
 */
public interface CorpInfoGateway {

    /**
     * 新增
     */
    Long add(CorpInfoE corpInfoE);

    /**
     * 修改
     */
    Boolean update(CorpInfoE corpInfoE);

    /**
     * 删除
     */
    Boolean deletedCorpInfoById(Long id);

    Boolean deletedCorpInfoByIds(Long[] id);

    void changeCompanyName(CorpInfoE corpInfoE);

}

